Package org.jcsp.net.remote

# Class SpawnerService

java.lang.Object
org.jcsp.net.remote.SpawnerService

All Implemented Interfaces:
  `CSProcess`

public class SpawnerService extends Object implements CSProcess

Services requests from `RemoteProcess` proxies to start up child JVMs running the actual processes.

If started from the command line, it will use the XML config file specified by the first command parameter. If no file is given it will try and use `JCSPNetSpawnerService.xml` to initialize the local node. Alternatively it can be started programmatically and the caller must take responsibility for initializing the node.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`SpawnerService(NodeKey nodeKey)`
Constructs a new service.

## Method Summary

Modifier and Type
Method
Description
`static SpawnerService`
`construct(String[] args)`
`static void`
`main(String[] args)`
Program entry point.
`void`
`run()`
Runs the service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SpawnerService

public SpawnerService(NodeKey nodeKey)
Constructs a new service.

Parameters:
  `nodeKey` - the local node key.

## Method Details

### run

public void run()
Runs the service.

Specified by:
  `run` in interface `CSProcess`

### construct

public static SpawnerService construct(String[] args)

### main

public static void main(String[] args)
Program entry point.

Parameters:
  `args` - the command line arguments. The first one may be the name of an XML file for initializing the local node.